---
updatedAt: 2025-09-14T23:45:24.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Creates a new ebook by ID

```xml Sample Request Body
<ebook>
	<general>
		<name>iPhone User Guide for iOS 10.3</name>
		<author>Apple Inc.</author>
		<version>1</version>
		<free>true</free>
		<url>https://itunes.apple.com/us/book/iphone-user-guide-for-ios-10-3/id1134772174?mt=11&amp;amp;uo=4</url>
		<deployment_type>Install Automatically/Prompt Users to Install</deployment_type>
		<file_type>PDF</file_type>
		<deploy_as_managed>true</deploy_as_managed>
		<category>
			<id>-1</id>
			<name>Unknown</name>
		</category>
		<self_service_icon>string</self_service_icon>
		<site>
			<id>-1</id>
			<name>None</name>
		</site>
	</general>
	<scope>
		<all_computers>false</all_computers>
		<all_mobile_devices>false</all_mobile_devices>
		<all_jss_users>false</all_jss_users>
	</scope>
</ebook>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/ebooks/id/{id}": {
      "post": {
        "x-explorer-enabled": false,
        "tags": [
          "ebooks"
        ],
        "summary": "Creates a new ebook by ID",
        "operationId": "createEBookById",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to filter by",
            "schema": {
              "type": "integer",
              "default": 0
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```